function [t_fr] = zmerpropzot(h, amp, fgenerator, rozdilper, f_vz, polarizace)
% obstara vse potrebne ke zmereni a zobrazeni propustne zotavovaci doby

global dev s vps fgen
t_fr = 0;

% spocitani poctu hodnot nutnych k mereni
[n_vzorek vzorku_celkem per_real] = prepocet_perioda_vzorkovani(1e9/fgenerator, rozdilper, 1e9/f_vz);

[data_propust f_vz_propust f_generator_propust pocet_vzorku_propust] = zmerZotDob(1, polarizace, vzorku_celkem, amp, 1/(1/fgenerator+rozdilper*1e-9) );

if polarizace == 0
    data_propust = -data_propust;
end

% spocitani zotavovaci doby a vykresleni grafu (i mezi)
t_fr = zjisti_zot_dob_prop(data_propust, polarizace, per_real, n_vzorek, h);

